﻿@model OperationalRiskException.Core.ViewModels.ScriptVM
@{
    Layout = null;
}
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>@ViewBag.Title   </title>

    @Scripts.Render("~/bundles/modernizr")
    <link rel="stylesheet" href="~/Content/vendors/mdi/css/materialdesignicons.min.css">
    <link rel="stylesheet" href="~/Content/vendors/base/vendor.bundle.base.css">
    <link rel="stylesheet" href="~/Content/css/style.css">
    <link rel="shortcut icon" href="images/favicon.png" />
    <link rel="stylesheet" href="~/Content/css/jquery-ui.min.css">
    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/jqueryval")
    <link rel="stylesheet" href="~/Content/Site.css">
    <link rel="stylesheet" href="~/Content/css/toastr.css">

</head>


<body>
    <div class="container-scroller">
        <div class="loader"></div>
        @Html.Partial("_HeaderView")
        <div class="container-fluid page-body-wrapper">
            <nav class="sidebar sidebar-offcanvas" id="sidebar">
                <ul class="nav">

                    <li class="nav-item">

                        <div class="" id="ui-basic">
                            <ul class="nav flex-column sub-menu" id="list-menu">
                            </ul>
                        </div>
                    </li>

                </ul>
            </nav>
            <div class="main-panel">
                <div class="content-wrapper">
                    <div class="row">

                        <div class="col-sm-12">
                            <div class="card" id="session">
                                <h2 class="card-header text-center">Section (<span id="questionCategory"></span>) </h2>
                                <div class="row">
                                  
                                    <div class="col-md-4 ">
                                        <div class="form-group mt-5" id="fileSaved">

                                        </div>
                                    </div>
                                </div>


                                <div class="card-body">
                                    <h5 class="card-title"></h5>
                                    <form id="form-questn">
                                    </form>
                                </div>
                                <div class="card-footer float-btn">
                                    @*<a href="#" class="btn btn-danger">Save Session</a> &nbsp; &nbsp;*@
                                    <span class="" id="btnSave">  </span>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>
                <footer class="footer">
                    <div class="d-sm-flex justify-content-center justify-content-sm-between">
                        <span class="text-muted text-center text-sm-left d-block d-sm-inline-block">Copyright © 2020 <a href="https://www.ubagroup.com/" target="_blank">UBA Group</a>. All rights reserved.</span>
                    </div>
                </footer>
            </div>
        </div>
    </div>



    <script type="text/javascript">
    var allQuestions = [];
        var counter = 0;
        var sessionTotal = 0;
        var fileUpload = [];
        var fileCheck = "";

     var optionListUrl = '@Url.Action("GetUserRecords", "OperationalRisk")?userId=@Model.UserId&setupId=@Model.SetupId';
        answerArray();
        // Display all question
    function answerArray() {
        $.ajax({
            type: 'GET',
            url: optionListUrl,
           // data: "",
            dataType: 'json',
            success: function (data) {
                allQuestions = data.data;
                $.each(allQuestions, function (i, value) {
                    $("#list-menu").append($('<li class="nav-item">  <a class="nav-link" href="#" onclick=moveCategory(' + i + ') id="check' + i + '" > ' + value.CategoryName + '</a></li>'));

                });
                   displayCategoryQuestions(counter)
            }
        });
        }
            function fileSavedRecord(fileCheckee) {
            $('#fileSaved').empty();
           // var urlSavedAns = "@Url.Content("'+fileCheckee+'")";
            return   $('#fileSaved').append('<a target="_blank" href='+fileCheckee+' class=""> <i class="mdi mdi-download mr-3 icon-lg text-warning"></i>Download Sample Uploaded</a>');
        }
        function displayCategoryQuestions(value) {
            counter = value;
          
            $("#questionCategory").html(allQuestions[counter].CategoryName);
            $("[id*='check']").removeClass("active");
            $("#check" + counter).addClass('active');
            $("#btnSave").empty();
            var arrayLength = allQuestions.length;
            var presentValue = counter + 1;
            if(counter>0)
             $("#btnSave").append($('<button type="button" onclick="previousBtn('+value+')" class="btn btn-light mr-4"> Previous  </button>'));
            $("#btnSave").append($('<button type="submit" onclick="submitForm()" class="btn btn-danger mr-2">' + (presentValue<arrayLength?'Next ':'Close') + '</button>'));
            $("#form-questn").empty();

            $.each(allQuestions[value].answers, function (i, value) {
                if (value.QuestionType === 2) {
                    console.log(value.QuestionTest);
                    $("#form-questn").append($('<div class="card question mb-2 p-3"> <h4> (' + (i + 1) + ')  ' + value.QuestionTest + ' </h4><div class="option" > <label><input type="radio" readonly disabled id="opt' + (value.QuestionId) + 'v' + 1 + '" name="' + value.QuestionId + '" value="1" class="choice" required /> Yes</label> <br /> <label><input type="radio" readonly disabled required id="opt' + (value.QuestionId) + 'v' + 2 + '"   name="' + value.QuestionId + '" value="2" class="choice" /> No</label> <br />  </div> </div>'));
                    $('#opt' + value.QuestionId + 'v' + value.answerEnum + '').attr('checked', true);
                }
                else if (value.QuestionType === 1) {

                    $("#form-questn").append($('<div class="card question mb-2 p-3"> <h4> (' + (i + 1) + ')  ' + value.QuestionTest + ' </h4><div class="option" > <label><input type="radio" readonly disabled id="opt' + (value.QuestionId) + 'v' + 1 + '" name="' + value.QuestionId + '" value="1" class="choice" required /> ' + value.AnswerTextA + '</label> <br /> <label><input type="radio" readonly disabled required id="opt' + (value.QuestionId) + 'v' + 2 + '"   name="' + value.QuestionId + '" value="2" class="choice" /> ' + value.AnswerTextB + '</label> <br /> <label><input type="radio" readonly disabled id="opt' + (value.QuestionId) + 'v' + 3 + '"   name="' + value.QuestionId + '" value="3" class="choice" /> ' + value.AnswerTextC + '</label>  <br /> <label><input type="radio" readonly disabled id="opt' + (value.QuestionId) + 'v' + 4 + '"   name="' + value.QuestionId + '" value="4" class="choice" /> ' + value.AnswerTextD + '</label>  </div> </div>')); $('#opt' + value.QuestionId + 'v' + value.answerEnum + '').attr('checked', true);
                    $('#opt' + value.QuestionId + 'v' + value.answerEnum + '').attr('checked', true);
                }
                else if (value.QuestionType === 0) {
                    $("#form-questn").append($('<div class="card question mb-2 p-3"> <h4> (' + (i + 1) + ')  ' + value.QuestionTest + ' </h4><div class="option" > <label class="row"><input type="number" id="opt' + (value.QuestionId) + 'v' + 1 + '" name="' + value.QuestionId + '" class="form-control col-md-6" readonly disabled required placeholder="Supply numeric value here" value="0"/>   </div> </div>'));
                    $('#opt' + value.QuestionId + 'v1' + '').val(value.AnswerValue);
                }
                   

            })
            //Testing checked answer.

        }
       

        function submitForm() {
            // first check ur local db
            // if exist patch value to the db
            // else not check online;
            // and save into local data
            // if there's nothing online
            var arrayLength = allQuestions.length;
            var presentValue = counter + 1;
            if (presentValue<arrayLength ) {
                counter = counter + 1;
                displayCategoryQuestions(counter);
            }
            else {
                var url = '@Url.Action("Index")';
                   window.location.href = url;
            }
        }
        function previousBtn(value) {
            value -= value;
            displayCategoryQuestions(value);
        }
        function moveCategory(value) {
            //var check = validation();
            //if (check) {


               // displayCategoryQuestions(value);
           // }

        }
       

        function fetchRecords() {
            // Fetch all the records from backend;
            // patchvalue
        }
    
     



    </script>
    @Scripts.Render("~/bundles/bootstrap")
    <script src="~/Content/vendors/base/vendor.bundle.base.js"></script>
    <script src="~/Scripts/js/toastr.js"></script>
    <script src="~/Scripts/js/off-canvas.js"></script>
    <script src="~/Scripts/js/hoverable-collapse.js"></script>
    <script src="~/Scripts/js/template.js"></script>
    <script src="~/Scripts/js/loader.js"></script>

    @Scripts.Render("~/bundles/jquery-ui")

    <script src="~/Scripts/js/file-upload.js"></script>

</body>
</html>
